commit 7af0c508be9cbec407268e2f546f597d268c104e (HEAD, tag: v1.46.0, origin/master, origin/HEAD, master)
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-19
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-19

    Update manual pages

commit f8474b25f02c4faa6d4250800a164227cf89b327
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-18
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-18

    nghttpx: Reduce dgram size if sendmsg fails with EINVAL or EMSGSIZE

commit 15a8d913ead5dff164ff0a4191b600b78eec1baf
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-17
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-17

    examples/client: Enable ALPN

commit 65d3c9047f5a254a7690178b514655d7b7d7f6f6
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-17
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-17

    Replace TLSv23_method with TLS_method

commit 8c36971ea9679f1e7b05a4a3e6db654a6d9d9019
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-17
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-17

    Compile with OPENSSL_NO_DEPRECATED and fix memory leaks

commit ba1dff187b902f2d09b184b66fc278501eb4656e
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-17
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-17

    Update bash_completion

commit 8ecacc8ed290353cd4414d6a1e70757b0a0c6309
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-17
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-17

    Update manual pages

commit 9d418966633a07ac7339ac50569e40c9f8d17d58
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-17
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-17

    nghttpx: Rename --frontend-quic-server-id to --quic-server-id

commit 18d4a9e4ff5442b1108f9f07e307539ca2fa3a85
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-17
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-17

    Update bash_completion

commit 1745a306442a8811e3c0baa48c9953fdeab8abf4
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-17
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-17

    Update manual pages

commit 0cc7c598ff8ac21222c4f6d7840ce441444a9056
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-17
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-17

    src: TLS_DEFAULT_CIPHERSUITES was deprecated in OpenSSL 3.0.0

commit 8c4fbb86d81d9ba8226e2e41d2e247cd1aa62c36
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-17
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-17

    Bump version number to 1.46.0, LT revision to 35:1:21

commit 693431312c7b425d4aec0ae0887e331b075571f7
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-15
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-15

    Fix cmake build

commit f3fca2a19a95d67a2cdcaec6e1b72ccdc9cfafe0
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-15
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-15

    Update doc

commit 1ce9efc64479ad5854aab00ebc2e317f878a421e
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-15
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-15

    nghttpx: Set SCT data when built with boringssl

commit 7055501efd26a9b64d7d46206ded82af8d1ea2b8
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-15
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-15

    src: Enable HTTP/3 with boringssl

commit c790ee64a46d6f58fc034b719c3c7808d0473a9c
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-15
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-15

    src: Prefer #ifdef for a single condition

commit 9fb05d5ea258ac5707b852a856608b00193169d3
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-15
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-15

    Fix compile error under mac os

commit 3742acaf398d394a84e70f25894f17f86f8a1745
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-15
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-15

    nghttpx: Fix wrong SSL_CTX object usage

commit d8282de2290a265956dee94bfe068d2cca36747d
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-15
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-15

    nghttpx: Respect !tls-no-postpone-early-data with boringssl

commit 3a721a9dd510f607ca6f7d57efa8bfa467fa1b33
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-14
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-15

    nghttpx: Send session ticket after handshake with boringssl

commit 0b6092446b42cff5d3311a47bdb2185c647a71ea
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-14
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-14

    src: Compile with boringssl for non-http3 build

commit fa7a916ef3b6e518d7a65e6256a9ebab1bab83ce
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-10
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-10

    nghttpx: Store initial_rtt in ev_tstamp for consistency

commit 69c41871002c2ab9ac3fd4b7d720b2dda1197ec6
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-10
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-10

    nghttpx: Add --frontend-quic-initial-rtt option

commit 07128719c4048c0c478ea073d6a850105153ab79
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-10
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-10

    Workaround broken version check in AX_PYTHON_DEVEL

commit 7471fa627d4992112910b0d6f068ea966992095f
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-10
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-10

    Update ax_python_devel.m4

commit d7af5924ff749df7887144f395f954338da0cbdd
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-10
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-10

    nghttpx: Extend QUIC server ID to 4 bytes

commit a48e9d3d80c2c919286eac104d8df97e550bd7ca
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-06
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-06

    Add bpf to clang-format

commit 474a6db00c16a68463d39910c2a65a71041da0cb
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-06
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-06

    Compile with gcc

commit cb6aea9aa932b76fd0a57d7ace711c66c5d280f5
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-06
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-06

    Compile with -DNDEBUG

commit f4290c649761d42d17a5b09e7280d5b4c6229dd0
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-04
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-04

    Fix compile error

commit 086b85b8f971b372dc061ad52966a2d92804369a
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-04
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-04

    nghttpx: Unload BPF program after setting up all QUIC listeners

commit abee658a60806b5c96d5563ae9f5a06f90610725
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-02
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-02

    nghttpx: Make sure that ngtcp2_conn_update_pkt_tx_time is called

commit 87bdc2166768bde482644cdf0ac139d0869fc45a
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-02
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-02

    nghttpx: Add --worker-process-grace-shutdown-period option

commit 3e25ee818178eea37950f0825242f1c1465e55e8
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-09-29
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-09-29

    256k memlock is not enough when reloading happens

commit 0266c458a34d5ef7455cffe3bf34ec9b25db99c2
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-09-29
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-09-29

    nghttpx: Add --max-worker-processes option

commit d9c7631dcbf9651f7b9d7837a7c7ea1d82658ee6
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-09-29
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-09-29

    Fix compile error

commit df064fa2ba60d237b8f708eebe9ef6e762d06055
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-09-29
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-09-29

    nghttpx: Unload BPF objects on reload to avoid running out of memlock

commit 318e0c8447e2399e7c1e95d8ae8d00118ccea5f7
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-09-28
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-09-28

    Guard msghdr_get_local_addr with ENABLE_HTTP3 macro

commit 17d5503bf244fe484cd0332158d6dac21c9487b5
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-09-28
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-09-28

    Update doc

commit 19b4da64016f979b38a1d8eea127b153c2d22060
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-09-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-09-26

    nghttpx: Support h3-29

commit 886dc93f182aa7ab6570c77013f35494889a2269
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-09-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-09-26

    nghttpx: Fail h3 connection attempt if no ALPN is negotiated

commit 407df2822e4b989c53c04b4f7902d2a9210ad506
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-09-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-09-26

    Remove check for UDP_SEGMENT
    
    Check for UDP_SEGMENT is for debian 10, but now that we have debian
    11, remove the check because it breaks cross-build.

commit f6da0d342acc123ce0575146c4ab17f8b7e3146e
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-09-24
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-09-24

    nghttpx: Fix crash if no keying materials are specified in file

commit 7271537a1531bad7ca0e2153b1cf188b6462dda4
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-09-24
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-09-24

    nghttpx: Add --rlimit-memlock option

commit d0e8efac4dd0411a8dab8ede6ec5e664f73c77a2
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-09-24
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-09-24

    nghttpx: Fix bug that reading QUIC secret file fails without line separator

commit 27e6d56d83f9a0669ef901d5eac145fc2d6966af
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-09-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-09-23

    Update doc

commit c5122c12cb760e52eb37768a39f1114e07954200
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-09-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-09-23

    Update bash_completion

commit 282050c596715ac6872b16fa6bdf9720647cffcd
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-09-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-09-23

    Update manual pages

commit 308c73bfa2aa2e191d7a0bbbf2355ca7b2ef9b10
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-09-22
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-09-23

    nghttpx: Read QUIC keying materials from file
    
    Add --frontend-quic-secret-file to read QUIC keying materials from
    file.  --frontend-quic-connection-id-encryption-key was removed in
    favor of this new option.

commit c40309ae8e17d8cabb0b437fbfa3a24757a0cf46
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-09-22
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-09-23

    nghttpx: optarg should be allocated per configuration

commit 1c7a4ecc7f7d1b289123a0575834eb00d16bd65f
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-09-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-09-21

    nghttpx: Rename generate_encrypted_quic_connection_id to generate_quic_connection_id

commit 80cc623eb2683299791b2988722ffcf0e6488d62
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-09-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-09-21

    nghttpx: Allocate server id in Connection ID

commit 89457fd9915159c746e5503e5da58bee9fc2445e
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-09-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-09-21

    More https

commit 257043b8fbe8be9ea53f1a72350a06489b255ba9
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-09-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-09-21

    Fix issue that libev cannot be found with autotools under mac osx

commit 657d94b99283f3ec810d87b05b5f7bbc1ca50768
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-09-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-09-21

    Fix compile error with libressl

commit 06dc7d59641a91eaa7bad7ad3995311c87ec8eed
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-09-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-09-21

    Make sure that nghttp2 can be built from tar archive

commit b50079524b869be871c70e95264c82be7f864770
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-09-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-09-21

    Always include optional files to EXTRA_DIST

commit cdf1f269ff1336025a240a5db5cb3043d7db0249
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-09-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-09-21

    Add missing cmake files to EXTRA_DIST

commit 738b562f398e46e3af242150a7f2c92eaa24741f
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-09-20
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-09-20

    Bump up version number to 1.46.0-DEV
